Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## local.tomas.mobile.sync.obj.mobile
Class IrMCSyncStore

    java.lang.Object
      local.tomas.mobile.sync.obj.mobile.IrMCSyncStore

All Implemented Interfaces:
  SyncStore

Direct Known Subclasses:
  IrMCVCardStore

    public abstract class IrMCSyncStore

extends java.lang.Object
implements SyncStore

Constructor Summary
`IrMCSyncStore()`

Method Summary
`void` | `close()`
`java.lang.Long` | `getChangeCounter()`
`ChangeLog` | `getChangeLog(long changeCounter)`
`protected local.tomas.irmc.IrMCConnection` | `getConnection()`
`ObjectNormalizer` | `getNormalizer()`
`ObexConnectionHolder` | `getObex()`
`protected abstract local.tomas.vcard.VType` | `getStoreType()`
`void` | `setNormalizer(ObjectNormalizer normalizer)`
`void` | `setObex(ObexConnectionHolder obex)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface local.tomas.mobile.sync.obj.SyncStore
`createObject, deleteObject, getAllObjects, getDatabaseId, getFieldDescriptions, getObject, getObjects, isChangeCounterSupported, isTimestampSupported, saveObject`

Constructor Detail

### IrMCSyncStore

    public IrMCSyncStore()

Method Detail

### getStoreType

    protected abstract local.tomas.vcard.VType getStoreType()

### close

    public void close()

  Specified by:
    `close` in interface `SyncStore`

### getObex

    public ObexConnectionHolder getObex()

### setObex

    public void setObex(ObexConnectionHolder obex)

### getConnection

    protected local.tomas.irmc.IrMCConnection getConnection()

### getChangeCounter

    public java.lang.Long getChangeCounter()
                                    throws SyncException

  Specified by:
    `getChangeCounter` in interface `SyncStore`
  Throws:
    `SyncException`

### getChangeLog

    public ChangeLog getChangeLog(long changeCounter)
                           throws SyncException

  Specified by:
    `getChangeLog` in interface `SyncStore`
  Throws:
    `SyncException`

### getNormalizer

    public ObjectNormalizer getNormalizer()

  Specified by:
    `getNormalizer` in interface `SyncStore`

### setNormalizer

    public void setNormalizer(ObjectNormalizer normalizer)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 null. All Rights Reserved.